<script setup lang="ts">
//
import List from './list.vue'
import Entry from './entry.vue'

const props = defineProps<{
  encounter_id: number
}>()

const { mode } = useQueryCRUDMode()
</script>

<template>
  <List v-if="mode === 'list'" :encounter_id="encounter_id" />
  <Entry v-else :encounter_id="encounter_id" />
</template>
